import dynamix_sdk.base as _base


class CloudapiLbCreateResultInt(_base.BaseAPIResultInt):
    pass


class CloudapiLbCreateProtocol(_base.BasePostAPIFunctionProtocol):
    def create(
        self,
        *,
        ext_net_id: int,
        name: str,
        rg_id: int,
        vins_id: int,
        description: None | str = None,
        ha_mode: bool = False,
        start: bool = True,
        sysctl_params: None | list[dict[str, str]] = None,
        zone_id: None | int = None,
    ) -> CloudapiLbCreateResultInt:
        ...
